--- title: "Get re-stream channel streaming event list" slug: "media-livestation-event-restreampublisheventlist" tags: ["Live Station"] updated: 2026-09-17T10:12:36Z published: 2026-09-17T10:12:36Z canonical: "api.ncloud-docs.com/media-livestation-event-restreampublisheventlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get re-stream channel streaming event list Available in Classic and VPC Get the list of streaming events that occurred on a re-stream channel. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v2/re-stream/channels/{channelId}/publish-log | ### Request headers For information about the headers common to all Live Station APIs, see [Live Station request headers](/docs/en/media-livestation#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `channelId` | String | Required | Channel ID - See [Get channel list](/docs/en/media-livestation-re-stream-channellist). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://livestation.apigw.ntruss.com/api/v2/re-stream/channels/ls-20250819******-Ik1QU/publish-log' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'x-ncp-region_code: KR' \ --header 'Content-Type: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `content` | Array | - | Event list: [content](/docs/en/media-livestation-event-restreampublisheventlist#content) | | `total` | Integer | - | Total response count | #### `content` The following describes `content`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `logLevel` | String | - | Log level - `INFO` | | `eventCode` | String | - | [Event code](/docs/en/media-livestation-event-eventlist#%EC%9D%B4%EB%B2%A4%ED%8A%B8%EC%BD%94%EB%93%9C) | | `description` | String | - | Event description | | `timestamp` | Integer | - | Event occurrence date and time (millisecond) - Unix timestamp format | | `channelId` | String | - | Channel ID | ### Response status codes For information about the HTTP status codes common to all Live Station APIs, see [Live Station response status codes](/docs/en/media-livestation#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "content": [ { "logLevel": "INFO", "eventCode": "PUBLISH_END", "description": "channel001 channel publishing has ended.", "timestamp": 1755757448902, "channelId": "ls-20250819******-Ik1QU" }, { "logLevel": "INFO", "eventCode": "PUBLISH_START", "description": "You have started publishing channel channel001.", "timestamp": 1755757279873, "channelId": "ls-20250819******-Ik1QU" }, { "logLevel": "INFO", "eventCode": "PUBLISH_END", "description": "channel001 channel publishing has ended.", "timestamp": 1755757163744, "channelId": "ls-20250819******-Ik1QU" }, { "logLevel": "INFO", "eventCode": "PUBLISH_START", "description": "You have started publishing channel channel001.", "timestamp": 1755757143742, "channelId": "ls-20250819******-Ik1QU" } ], "total": 4 } ```